[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TGridColumnTitle.Assign

Copies property value from the specified persistent object into the current class instance.

## Declaration

Source position: grids.pas line 495

`public procedure TGridColumnTitle.Assign(`
`Source: TPersistent`
`); override;`

## Arguments

`Source` |  | Persistent object with property values copied in the method.

## Description

Assign is an overridden method used to implement object persistence for the class. When Source is a TGridColumnTitle instance, the values from the following properties are copied:

- Alignment
- Layout
- Caption
- Color
- Font
- ImageIndex

If Source is not derived from TGridColumnTitle, the inherited method is called using Source as an argument.

## See also

TPersistent